POV-Ray : Newsgroups : povray.general : Ignore .ini Errorrs in 3.7 Server Time
25 May 2022 05:13:21 EDT (-0400)
  Ignore .ini Errorrs in 3.7 (Message 11 to 18 of 18)  
<<< Previous 10 Messages Goto Initial 10 Messages
From: yagi
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 13:00:01
Message: <web.5bb252234802201c90d2633c0@news.povray.org>
>>that Moray runs its own animation renders and dosn't use Povray.

Now I see the option for Moray to use Povray for animation rendering.   It's all
coming back, its been a long time.    I do like Moray and Povray, shame Moray is
no longer developed.

My overclocked 3770K still blows a bit of heat ... enough soak to actually make
the fans in my Titan X rev up !


Post a reply to this message

From: clipka
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 13:23:30
Message: <5bb25812$1@news.povray.org>
Am 01.10.2018 um 18:58 schrieb yagi:

> shame Moray is no longer developed.

Actually, it is. There's just not much talk about it at the moment.


Post a reply to this message

From: yagi
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 13:35:00
Message: <web.5bb25a924802201c90d2633c0@news.povray.org>
clipka <ano### [at] anonymousorg> wrote:

> Actually, it is. There's just not much talk about it at the moment.

Cool, I'll keep an eye on the news group !


Post a reply to this message

From: Stephen
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 13:42:33
Message: <5bb25c89$1@news.povray.org>
On 01/10/2018 18:23, clipka wrote:
> Am 01.10.2018 um 18:58 schrieb yagi:
> 
>> shame Moray is no longer developed.
> 
> Actually, it is. There's just not much talk about it at the moment.
> 

Chris Carson mentioned that there would be some news about it before the 
end of the year.

-- 

Regards
     Stephen


Post a reply to this message

From: clipka
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 14:19:36
Message: <5bb26538$1@news.povray.org>
Am 01.10.2018 um 18:01 schrieb Thorsten Froehlich:

>> The INI file option was removed entirely in POV-Ray v3.7 when it should
>> have been just marked as obsoleve. I'm working on a fix.
> 
> It was made obsolete in 3.6 (or maybe even 3.5) and removed in 3.7. [...]
> It is not a bug, but intentional design that hasn't
> bothered anybody in a wopping 14 years...

Probably as intentional a design decision as removing `Buffer_Output`
and `Buffer_Size` - a change that was revised by Chris just 10 days
later, presumably because people did complain.

People complaining is a good reason to review design decisions, but my
hunch is that what happened back then was just patching things that
people were complaining about, rather than coming up with a consistent
policy (or realizing that an existing policy had been violated) and
going with it all the way.


POV-Ray has a long-standing policy of trying to maintain backward
compatibility with legacy scene files (or files generated by legacy
tools). That policy is watered down if POV-Ray can't also read the
corresponding legacy INI file. Re-instating `Buffer_Output` and
`Buffer_Size` as "zombie" settings was a logical consequence of that
policy, but it only went half the way.


Post a reply to this message

From: Thorsten Froehlich
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 15:50:00
Message: <web.5bb279994802201c132bb8d00@news.povray.org>
clipka <ano### [at] anonymousorg> wrote:
> Am 01.10.2018 um 18:01 schrieb Thorsten Froehlich:
>
> >> The INI file option was removed entirely in POV-Ray v3.7 when it should
> >> have been just marked as obsoleve. I'm working on a fix.
> >
> > It was made obsolete in 3.6 (or maybe even 3.5) and removed in 3.7. [...]
> > It is not a bug, but intentional design that hasn't
> > bothered anybody in a wopping 14 years...
>
> Probably as intentional a design decision as removing `Buffer_Output`
> and `Buffer_Size` - a change that was revised by Chris just 10 days
> later, presumably because people did complain.

No, because those two were still in the 3.6 documentation. Radiosity was
obsolete in 3.5 already. And the removal is not all that unusual. Halo was
removed as a scene language feature in 3.1 without backward compatibility, btw.

Radiosity was moved to SDL control in 3.5 together with photons, making both
consistent. And to judge that it was unintentional or a problem to remove in 3.7
by a single report in 14 years is more than odd...

Thorsten


Post a reply to this message

From: Kenneth
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 1 Oct 2018 19:35:00
Message: <web.5bb2ae114802201ca47873e10@news.povray.org>
Stephen <mca### [at] aolcom> wrote:
> On 01/10/2018 18:23, clipka wrote:
> > Am 01.10.2018 um 18:58 schrieb yagi:
> >
> >> shame Moray is no longer developed.
> >
> > Actually, it is. There's just not much talk about it at the moment.
> >
>
> Chris Carson mentioned that there would be some news about it before the
> end of the year.

Hooray! That's the most uplifting news I've heard all week. (There hasn't been
much uplifting news in the U.S. lately... :-P


Post a reply to this message

From: Stephen
Subject: Re: Ignore .ini Errorrs in 3.7
Date: 2 Oct 2018 03:23:04
Message: <5bb31cd8$1@news.povray.org>
On 02/10/2018 00:30, Kenneth wrote:
> Stephen <mca### [at] aolcom> wrote:
>> On 01/10/2018 18:23, clipka wrote:
>>> Am 01.10.2018 um 18:58 schrieb yagi:
>>>
>>>> shame Moray is no longer developed.
>>>
>>> Actually, it is. There's just not much talk about it at the moment.
>>>
>>
>> Chris Carson mentioned that there would be some news about it before the
>> end of the year.
> 
> Hooray! That's the most uplifting news I've heard all week. (There hasn't been
> much uplifting news in the U.S. lately... :-P
> 
> 
> 
The news in the UK is not very uplifting either. :-(
The post was in OT and has expired, unfortunately.


-- 

Regards
     Stephen


Post a reply to this message

<<< Previous 10 Messages Goto Initial 10 Messages

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.